Skip to content
vokse.
Browse the reference
All resources

Tags

4 endpoints

List tags in this household

GET/households/{householdId}/tags
read:tags
Example request
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -X GET https://api.vokse.ai/households/current/tags
Response200 · Success

Create a tag

POST/households/{householdId}/tags
write:tags
Request body
json
{  "name": "reimbursable",  "color": "#86986F"}
Example request
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -H "Content-Type: application/json" \     -H "Idempotency-Key: $(uuidgen)" \     -X POST https://api.vokse.ai/households/current/tags \     -d '{"name":"reimbursable","color":"#86986F"}'
Response201 · Success

Update a tag

PATCH/households/{householdId}/tags/{tagId}
write:tags

Parameters

NameInRequired
tagIdpathRequired
Request body
json
{  "name": "business"}
Example request
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -H "Content-Type: application/json" \     -H "Idempotency-Key: $(uuidgen)" \     -X PATCH https://api.vokse.ai/households/current/tags/{tagId} \     -d '{"name":"business"}'
Response200 · Success

Delete a tag (cascades to transaction_tags junction)

DELETE/households/{householdId}/tags/{tagId}
write:tags

Parameters

NameInRequired
tagIdpathRequired
Example request
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -X DELETE https://api.vokse.ai/households/current/tags/{tagId}
Response204 · No content